<?php
/**
 * Installation related functions and actions.
 *
 * @since 2.0.2
 */

defined( 'ABSPATH' ) || exit;

/**
 * Class Install
 */
class Radio_Player_Proxy_Install {

	private static $instance = null;

	public function __construct() {
		self::create_default_data();
	}

	/**
	 * create default data
	 *
	 * @since 2.0.8
	 */
	private static function create_default_data() {

		$version      = get_option( 'radio_player_proxy_version' );
		$install_time = get_option( 'radio_player_proxy_install_time', '' );

		if ( empty( $version ) ) {
			update_option( 'radio_player_proxy_version', RADIO_PLAYER_PROXY_VERSION );
		}

		if ( ! empty( $install_time ) ) {
			$date_format = get_option( 'date_format' );
			$time_format = get_option( 'time_format' );
			update_option( 'radio_player_proxy_install_time', date( $date_format . ' ' . $time_format ) );
		}

	}

	public static function instance() {
		if ( is_null( self::$instance ) ) {
			self::$instance = new self();
		}

		return self::$instance;
	}


}

Radio_Player_Proxy_Install::instance();